CURLINFO_PRIMARY_PORT(3)

NAME
CURLINFO_PRIMARY_PORT - get the latest destination port number

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_PRIMARY_PORT, long *portp);

DESCRIPTION
Pass a pointer to a long to receive the destination port of the most recent connection done with this curl handle.

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
  res = curl_easy_perform(curl);
  if(res == CURLE_OK) {
    long port;
    res = curl_easy_getinfo(curl, CURLINFO_PRIMARY_PORT, &port);
    if(!res)
      printf("Connected to remote port: %ld\n", port);
  }
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.21.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),